﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Windows.Forms;
using HeuristicLab.DataImporter.DbExplorer.Interfaces;

namespace HeuristicLab.DataImporter.DbExplorer.Oracle {
  public partial class OracleConnectionWizard : Form, IDbConnectionWizard {

    private OracleConnection connection;
    public DbConnectionBase Connection {
      get { return connection; }
    }

    public OracleConnectionWizard() {
      InitializeComponent();
    }

    private void btnOK_Click(object sender, EventArgs e) {
      if (chbAdvancedSettings.Checked)
        connection = new OracleConnection(txtHost.Text, txtPort.Text, txtServiceName.Text, txtUsername.Text, txtPassword.Text);
      else
        connection = new OracleConnection(txtDatabaseName.Text, txtUsername.Text, txtPassword.Text);
    }

    private void chbWindowsAuthentication_CheckedChanged(object sender, EventArgs e) {
      if (chbAdvancedSettings.Checked) {
        txtHost.Enabled = true;
        txtPort.Enabled = true;
        txtServiceName.Enabled = true;
      } else {
        txtHost.Enabled = false;
        txtPort.Enabled = false;
        txtServiceName.Enabled = false;
      }
    }
  }
}
